import java.util.Properties;
import javax.naming.*;
import javax.naming.directory.*;

class Add {
  public static void main(String[] args) {
    Properties env=utils.getProps("test.properties");
    String dn = env.getProperty("example.add.dn");
    DirContext ctx = new InitialDirContext(env);
    Attributes attSet=utils.getAttrSet(env);
    try {
      ctx.createSubcontext(dn, attSet);
      System.out.println( "Added: " + dn);
    } catch (NameAlreadyBoundException nabe) {
      System.out.println("Entry already there"+nabe.getMessage());
    } catch (NamingException e) {
      System.err.println("Add failed:"+e.getMessage());
      System.exit(1);
    }
  }
}
