import java.util.Properties;
import javax.naming.*;
import javax.naming.directory.*;

class Delete {
  public static void main(String[] args) {
    Properties env=utils.getProps("test.properties");
    String dn = env.getProperty("example.delete");
    DirContext ctx = new InitialDirContext(env);
    try {
      ctx.destroySubcontext(dn);
      System.out.println( "Deleted: " + dn);
    } catch (NameNotFoundException e) {
      System.out.println("Entry not found: "+e.getMessage());
    } catch (NamingException e) {
      System.err.println("Delete Failed: "+e.getMessage());
      System.exit(1);
    }
  }
}
