import java.util.Properties;
import javax.naming.*;
import javax.naming.directory.*;

class List {
  public static void main(String[] args) {
    Properties env=utils.getProps("test.properties");
    String dn = env.getProperty("example.list.dn");
    DirContext ctx = new InitialDirContext(env);
    try {
      utils.printNameList(ctx.list(dn));
    } catch (NamingException ne) {
      System.out.println("List Failed: " + ne.getMessage());
    }
  }
}
