import java.util.Properties;
import javax.naming.*;
import javax.naming.directory.*;

class Lookup {
  public static void main(String[] args) {
    Properties env=utils.getProps("test.properties");
    String dn = env.getProperty("example.lookup.dn");
    DirContext ctx = new InitialDirContext(env);
    try {
      System.out.println(ctx.lookup(dn));
    } catch (NamingException ne) {
      System.out.println("Lookup Failed: " + ne.getMessage());
    }
  }
}
