import java.util.Properties;
import javax.naming.*;
import javax.naming.directory.*;

class ModAttrs {
  public static void main(String[] args) {
    Properties env=utils.getProps("test.properties");
    String dn = env.getProperty("example.mod.attr.dn");
    DirContext ctx = new InitialDirContext(env);
    try {
      ModificationItem[] mods=utils.getMods(env);
      ctx.modifyAttributes(dn, mods);
      System.out.println( "Modified: "+dn);
    } catch (NamingException ne) {
        System.err.println("ModAttrs Failed: " + ne.getMessage());
    }
  }
}
