import java.util.Properties;
import javax.naming.*;
import javax.naming.directory.*;

class Search  {
  public static void main(String[] args) {
    Properties env=utils.getProps("test.properties");
    String base = env.getProperty("example.search.base");
    String filter = env.getProperty("example.search.filter");
    SearchControls constraints = new SearchControls();
    constraints.setSearchScope(SearchControls.SUBTREE_SCOPE);
    DirContext ctx = new InitialDirContext(env);
    try {
      NamingEnumeration results
	= ctx.search(base,filter,constraints);
      utils.printSearchEnums(results);
    } catch (NamingException e) {
      System.out.println("Search Failed "+e.getMessage());
    }
  }
}
