import java.util.Properties;
import javax.naming.*;
import javax.naming.directory.*;

class GetAttr {
  public static void main(String[] args) {
    Properties env=utils.getProps("test.properties");
    
    String dn = env.getProperty("example.getattr.dn");
    DirContext ctx = new InitialDirContext(env);
    try {
      Attributes result = ctx.getAttributes(dn);
      utils.printAttrSet(result);
    } catch (NamingException e) {
      System.err.println("GetAttr failed: "+e.getMessage());
    }
  }
}
