import java.util.Properties;
import javax.naming.*;
import javax.naming.directory.*;

class ListBindings {
  public static void main(String[] args) {
    Properties env=utils.getProps("test.properties");
    String dn = env.getProperty("example.listbindings.dn");
    DirContext ctx = new InitialDirContext(env);
    try {
      utils.printBindingList(ctx.listBindings(dn));
    } catch (NamingException ne) {
      System.out.println("ListBinding Failed: " + ne.getMessage());
    }
  }
}
