import java.util.Properties;
import javax.naming.*;
import javax.naming.directory.*;

class ModRdn {
  public static void main(String[] args) {
    Properties env=utils.getProps("test.properties");
    String newname=env.getProperty("example.mod.rdn.new");
    String oldname=env.getProperty("example.mod.rdn.old");
    DirContext ctx = new InitialDirContext(env);
    try {
      ctx.rename(oldname, newname);
      System.out.println( "Moved "+oldname+" to "+newname);
    } catch (NamingException ne) {
      System.out.println("ModRdn Failed:" + ne.getMessage());
    }
  }
}
